%global pkg_name hamlet

%global common_summary Haml-like template files that are compile-time checked

%global common_description Hamlet gives you a type-safe tool for generating HTML code. \
It works via Quasi-Quoting, and generating extremely \
efficient output code. The syntax is white-space sensitive, \
and it helps you avoid cross-site scripting issues and 404 \
errors. Please see the documentation at \
<http://docs.yesodweb.com/hamlet/> for more details.

%global ghc_pkg_deps ghc-blaze-builder-devel, ghc-failure-devel, ghc-parsec-devel, ghc-text-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.6.1.2
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.1.2-3
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.1.2-1
- Update to 0.6.1.2

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.3-1
- Update to 0.6.0.3

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.2-1
- Update to 0.6.0.2

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.1-1
- Update to 0.6.0.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.2-1
- Update to 0.5.0.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.1-1
- Update to 0.5.0.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
